Subject: RE: LDP Events

From: Eric Gray <[email-masked]>
Date: Mon, 8 May 2000 09:29:00 -0700

Phani,

	I'm not sure I understand the question, but I will
make a stab at answering it.

	An internal setup event is triggered within the LSR
implementation.  Where it comes from will depend on the
details of the implementation, the event(s) that brought it
about and the control mode that applies.  It may be driven 
by a separate routing function within the implementation 
after the routing function has performed some arbitration
and created a new route table entry (and, possibly, found
out that either it is the egress or it already has a mapping
for a label from a downstream peer corresponding to this 
entry).  It may also be driven by a management imperative.

	A more in depth understanding of internal events
in general would require reading other MPLS documents -
including framework, architecture and LDP.  The details of
internal events are not usually specified as they're internal
to the implementation.

--
Eric Gray

> -----Original Message-----
> From: phaneesh [mailto:[email-masked]]
> Sent: Sunday, May 07, 2000 11:10 PM
> To: [email-masked]
> Subject: LDP Events
> 
> 
> Hi,
> 
> This is with reference to the draft-ietf-mpls-ldp-state-03.txt.
> 
> I'm working with LDP. I came to know that "Internal Setup" event
> comes to LDP, when MPLS recognizes a new FEC. I understood
> that all Internal Events are generated within the LSR itself aiming at
> local LDP.
> 
> My doubt is, who will generate that event and how it alerts the LDP
> ( i mean, what exactly the signaling mechanism used here). Assuming
> that LDP runs over the Transport layer and MPLS runs below L3
> and above L2.
> 
> Can u please clarify my doubt explaining on the "Internal 
> Setup" event.
> 
> Thanks,
> Phani.
>